package cn.feast.coding.mapper.system;


import cn.feast.coding.model.system.UserRole;

import java.util.List;
import java.util.Map;

/**
 * Created By FeastCoding.
 */
public interface UserRoleMapper {
    Integer save(UserRole model);

    void update(UserRole model);

    void deleteById(Integer id);

    int queryByCount(UserRole model);

    List<UserRole> queryByList(Map paramsMap);

    List<UserRole> queryByUserRole(UserRole model);

    UserRole queryById(Integer id);

    void deleteByUser(Integer userid);

    List<UserRole> queryByUser(Integer userid);
}